package com.rehome.jpahefengweather.dto;



import com.rehome.jpahefengweather.utils.MapUtil;
import java.util.Map;

/**
 * @author HuangWenFei
 * @version v1.0.0.0
 * Created DateTime 2022-05-01 16:22
 */
//@ApiModel(value = "ForecastDto", description = "天气预报数据")
public class ForecastDto {

    //@ApiModelProperty("预报日期")
    private String fxDate;
    //@ApiModelProperty("日出时间")
    private String sunrise;
    //@ApiModelProperty("日落时间")
    private String sunset;
    //@ApiModelProperty("月升时间")
    private String moonrise;
    //@ApiModelProperty("月落时间")
    private String moonset;
    //@ApiModelProperty("月相名称")
    private String moonPhase;
    //@ApiModelProperty("月相图标代码，图标可通过天气状况和图标下载")
    private String moonPhaseIcon;
    //@ApiModelProperty("预报当天最高温度")
    private String tempMax;
    //@ApiModelProperty("预报当天最低温度")
    private String tempMin;
    //@ApiModelProperty("预报白天天气状况的图标代码，图标可通过天气状况和图标下载")
    private String iconDay;
    //@ApiModelProperty("预报白天天气状况文字描述，包括阴晴雨雪等天气状态的描述")
    private String textDay;
    //@ApiModelProperty("预报夜间天气状况的图标代码，图标可通过天气状况和图标下载")
    private String iconNight;
    //@ApiModelProperty("预报晚间天气状况文字描述，包括阴晴雨雪等天气状态的描述")
    private String textNight;
    //@ApiModelProperty("预报白天风向360角度")
    private String wind360Day;
    //@ApiModelProperty("预报白天风向")
    private String windDirDay;
    //@ApiModelProperty("预报白天风力等级")
    private String windScaleDay;
    //@ApiModelProperty("预报白天风速，公里/小时")
    private String windSpeedDay;
    //@ApiModelProperty("预报夜间风向360角度")
    private String wind360Night;
    //@ApiModelProperty("预报夜间当天风向")
    private String windDirNight;
    //@ApiModelProperty("预报夜间风力等级")
    private String windScaleNight;
    //@ApiModelProperty("预报夜间风速，公里/小时")
    private String windSpeedNight;
    //@ApiModelProperty("预报当天总降水量，默认单位：毫米")
    private String precip;
    //@ApiModelProperty("紫外线强度指数")
    private String uvIndex;
    //@ApiModelProperty("相对湿度，百分比数值")
    private String humidity;
    //@ApiModelProperty("大气压强，默认单位：百帕")
    private String pressure;
    //@ApiModelProperty("能见度，默认单位：公里")
    private String vis;
    //@ApiModelProperty("云量，百分比数值。可能为空")
    private String cloud;


    /**
     * 根据 map 还原 MaintenanceTemporaryFindDto
     *
     * @param map 映射map
     * @return com.rehome.jpahefengweather.dto.BaseDto
     * @author HuangWenFei
     * Created DateTime 2022-04-19 10:02
     */
    public static ForecastDto ofSelfMap(Map<String, Object> map) {
        return MapUtil.fromMap(map, ForecastDto.class);
    }

    public String getFxDate() {
        return fxDate;
    }

    public void setFxDate(String fxDate) {
        this.fxDate = fxDate;
    }

    public String getSunrise() {
        return sunrise;
    }

    public void setSunrise(String sunrise) {
        this.sunrise = sunrise;
    }

    public String getSunset() {
        return sunset;
    }

    public void setSunset(String sunset) {
        this.sunset = sunset;
    }

    public String getMoonrise() {
        return moonrise;
    }

    public void setMoonrise(String moonrise) {
        this.moonrise = moonrise;
    }

    public String getMoonset() {
        return moonset;
    }

    public void setMoonset(String moonset) {
        this.moonset = moonset;
    }

    public String getMoonPhase() {
        return moonPhase;
    }

    public void setMoonPhase(String moonPhase) {
        this.moonPhase = moonPhase;
    }

    public String getMoonPhaseIcon() {
        return moonPhaseIcon;
    }

    public void setMoonPhaseIcon(String moonPhaseIcon) {
        this.moonPhaseIcon = moonPhaseIcon;
    }

    public String getTempMax() {
        return tempMax;
    }

    public void setTempMax(String tempMax) {
        this.tempMax = tempMax;
    }

    public String getTempMin() {
        return tempMin;
    }

    public void setTempMin(String tempMin) {
        this.tempMin = tempMin;
    }

    public String getIconDay() {
        return iconDay;
    }

    public void setIconDay(String iconDay) {
        this.iconDay = iconDay;
    }

    public String getTextDay() {
        return textDay;
    }

    public void setTextDay(String textDay) {
        this.textDay = textDay;
    }

    public String getIconNight() {
        return iconNight;
    }

    public void setIconNight(String iconNight) {
        this.iconNight = iconNight;
    }

    public String getTextNight() {
        return textNight;
    }

    public void setTextNight(String textNight) {
        this.textNight = textNight;
    }

    public String getWind360Day() {
        return wind360Day;
    }

    public void setWind360Day(String wind360Day) {
        this.wind360Day = wind360Day;
    }

    public String getWindDirDay() {
        return windDirDay;
    }

    public void setWindDirDay(String windDirDay) {
        this.windDirDay = windDirDay;
    }

    public String getWindScaleDay() {
        return windScaleDay;
    }

    public void setWindScaleDay(String windScaleDay) {
        this.windScaleDay = windScaleDay;
    }

    public String getWindSpeedDay() {
        return windSpeedDay;
    }

    public void setWindSpeedDay(String windSpeedDay) {
        this.windSpeedDay = windSpeedDay;
    }

    public String getWind360Night() {
        return wind360Night;
    }

    public void setWind360Night(String wind360Night) {
        this.wind360Night = wind360Night;
    }

    public String getWindDirNight() {
        return windDirNight;
    }

    public void setWindDirNight(String windDirNight) {
        this.windDirNight = windDirNight;
    }

    public String getWindScaleNight() {
        return windScaleNight;
    }

    public void setWindScaleNight(String windScaleNight) {
        this.windScaleNight = windScaleNight;
    }

    public String getWindSpeedNight() {
        return windSpeedNight;
    }

    public void setWindSpeedNight(String windSpeedNight) {
        this.windSpeedNight = windSpeedNight;
    }

    public String getPrecip() {
        return precip;
    }

    public void setPrecip(String precip) {
        this.precip = precip;
    }

    public String getUvIndex() {
        return uvIndex;
    }

    public void setUvIndex(String uvIndex) {
        this.uvIndex = uvIndex;
    }

    public String getHumidity() {
        return humidity;
    }

    public void setHumidity(String humidity) {
        this.humidity = humidity;
    }

    public String getPressure() {
        return pressure;
    }

    public void setPressure(String pressure) {
        this.pressure = pressure;
    }

    public String getVis() {
        return vis;
    }

    public void setVis(String vis) {
        this.vis = vis;
    }

    public String getCloud() {
        return cloud;
    }

    public void setCloud(String cloud) {
        this.cloud = cloud;
    }
}
